Bug 1223946 - History not available in jgit
Summary: History not available in jgit
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alexander Kurtakov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-21 18:38 UTC by Krzysztof Daniel
Modified: 2015-08-19 15:14 UTC (History)
9 users (show)

Fixed In Version: cbi-plugins-1.1.2-3.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-18 05:17:35 UTC


Attachments (Terms of Use)
screenshot (157.66 KB, image/png)
2015-05-21 18:38 UTC, Krzysztof Daniel
no flags Details
Screenshot of Eclipse 4.5.0 (140.71 KB, image/png)
2015-08-12 09:27 UTC, Mat Booth
no flags Details
Screenshot eclipse 4.5 commit dialog (198.34 KB, image/png)
2015-08-19 11:16 UTC, Timo Klerx
no flags Details

Description Krzysztof Daniel 2015-05-21 18:38:06 UTC
Created attachment 1028352 [details]
screenshot

Eclipse GTK3 does not show history. It is there, but disappears once scroll is shown.

workaround:
1. switch to ugly gtk2
2. resize the view to remove scroll

Comment 1 Timo Klerx 2015-06-09 08:21:37 UTC
I can confirm this. This worked on F21, but does not work on F22. I use the eclipse and eclipse-egit packages from the fedora repo.
Any remark on this? Will there be a fix? Is this eclipse related?

Comment 2 Alexander Kurtakov 2015-07-28 11:50:29 UTC
Can someone test with latest updates?

Comment 3 Timo Klerx 2015-07-28 14:03:48 UTC
Tried after dnf update and still the same issue.

Comment 4 Fedora Update System 2015-08-12 09:25:55 UTC
cbi-plugins-1.1.2-3.fc22, tycho-extras-0.23.0-2.fc22, tycho-0.23.0-5.fc22.2, eclipse-4.5.0-5.fc22, eclipse-ecf-3.10.0-5.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/FEDORA-2015-11679/eclipse-4.5.0-5.fc22,eclipse-ecf-3.10.0-5.fc22,cbi-plugins-1.1.2-3.fc22,tycho-extras-0.23.0-2.fc22,tycho-0.23.0-5.fc22.2

Comment 5 Mat Booth 2015-08-12 09:27:34 UTC
Created attachment 1061891 [details]
Screenshot of Eclipse 4.5.0

I believe this is fixed in the Eclipse Mars update, see attached screenshot.

Comment 6 Fedora Update System 2015-08-13 16:56:07 UTC
Package cbi-plugins-1.1.2-3.fc22, tycho-extras-0.23.0-2.fc22, tycho-0.23.0-5.fc22.2, eclipse-4.5.0-5.fc22, eclipse-ecf-3.10.0-5.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cbi-plugins-1.1.2-3.fc22 tycho-extras-0.23.0-2.fc22 tycho-0.23.0-5.fc22.2 eclipse-4.5.0-5.fc22 eclipse-ecf-3.10.0-5.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-11679/eclipse-4.5.0-5.fc22,eclipse-ecf-3.10.0-5.fc22,cbi-plugins-1.1.2-3.fc22,tycho-extras-0.23.0-2.fc22,tycho-0.23.0-5.fc22.2
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2015-08-18 05:17:35 UTC
cbi-plugins-1.1.2-3.fc22, tycho-extras-0.23.0-2.fc22, tycho-0.23.0-5.fc22.2, eclipse-4.5.0-5.fc22, eclipse-ecf-3.10.0-5.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Timo Klerx 2015-08-19 11:16:59 UTC
Created attachment 1064758 [details]
Screenshot eclipse 4.5 commit dialog

I don't know whether this is the correct place or whether I should file a new bug, but this seems somehow related.
I updated to eclipse 4.5 and the history now displays correctly, but the file list in the commit dialog does not (see attached screenshot).
If this is the wrong place please tell me and I will file a new bug.

Comment 9 Mat Booth 2015-08-19 15:14:47 UTC
(In reply to Timo Klerx from comment #8)
> Created attachment 1064758 [details]
> Screenshot eclipse 4.5 commit dialog
> 
> I don't know whether this is the correct place or whether I should file a
> new bug, but this seems somehow related.
> I updated to eclipse 4.5 and the history now displays correctly, but the
> file list in the commit dialog does not (see attached screenshot).
> If this is the wrong place please tell me and I will file a new bug.

Oh, that's pretty annoying. Thanks for testing though, it's appreciated.

If you can, please open a new bug for the new problem.


Note You need to log in before you can comment on or make changes to this bug.